Skip to Content
Chameleon Docs

Read asset

A built picture laid on a backdrop color, as it will look on that ground.

POST
/api/manuals/{id}/assets/{regionId}/read

A built picture laid on a backdrop color, as it will look on that ground.

Authorization

headerx-api-key<token>

Scope: manuals:read

Path Parameters

id*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
regionId*string
Match^[A-Za-z0-9_-]{1,64}$

Request Body

application/json
  1. body
backdrop?array<any>
longestSide?integer
Range1 <= value <= 4096

Response Body

An opaque picture, and a link that reads it

application/json
  1. response
requestId*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
regionId*string
backdrop*array<any>
picture*
Example Request
curl -X POST 'https://www.chameleonlabs.org/api/manuals/string/assets/string/read' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "requestId": "string",  "regionId": "string",  "backdrop": [    0,    0,    0  ],  "picture": {    "url": "http://example.com",    "expiresAt": "2019-08-24T14:15:22Z",    "path": "string",    "width": 0,    "height": 0  }}